%define upstream_name    String-Scanf
%define upstream_version 2.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Implementation of C sscanf function
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
String::Scanf supports scanning strings for data using formats similar to
the libc/stdio sscanf().

The supported sscanf() formats are as follows:

* %d

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 2.100.0-11.mga10
+ Revision: 2200728
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 2.100.0-10.mga9
+ Revision: 1805786
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.100.0-9.mga8
+ Revision: 1497217
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.100.0-8.mga7
+ Revision: 1271238
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.100.0-7.mga6
+ Revision: 1033402
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 2.100.0-6.mga6
+ Revision: 934992
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.100.0-5.mga5
+ Revision: 750948
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.100.0-4.mga5
+ Revision: 686252
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.100.0-3.mga4
+ Revision: 514724
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.100.0-2.mga3
+ Revision: 372833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 2.100.0-1.mga2
+ Revision: 172345
- imported package perl-String-Scanf


* Sat Nov 26 2011 cpan2dist 2.1-1mga
- initial mageia release, generated with cpan2dist
